classification
Title: Display module names of C functions in cProfile
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, haypo, ncoghlan, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2014-06-24 20:23 by pitrou, last changed 2014-06-28 03:56 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
cprofile_names.patch pitrou, 2014-06-24 20:23 review
Messages (4)
msg221493 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-06-24 20:23
Currently, cProfile output displays "built-in functions" (i.e. module functions implemented in C, such as hasattr()) using only their names. This is not very useful when those functions may be provided by any third-party library. Attached patch adds the module name (as provided by __module__) to the output.
msg221653 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2014-06-26 22:23
The patch looks good to me. I didn't test it, but I see that the change is already tested by existing tests.
msg221771 - (view) Author: Roundup Robot (python-dev) Date: 2014-06-28 03:55
New changeset 6dd4c2d30b0e by Antoine Pitrou in branch 'default':
Issue #21863: cProfile now displays the module name of C extension functions, in addition to their own name.
http://hg.python.org/cpython/rev/6dd4c2d30b0e
msg221772 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-06-28 03:56
Thank you, committed!
History
Date User Action Args
2014-06-28 03:56:44pitrousetstatus: open -> closed
resolution: fixed
messages: + msg221772

stage: patch review -> resolved
2014-06-28 03:55:57python-devsetnosy: + python-dev
messages: + msg221771
2014-06-26 22:23:11hayposetnosy: + haypo
messages: + msg221653
2014-06-26 15:51:22pitrousetnosy: + ncoghlan
2014-06-24 20:23:44pitroucreate